Bug 11005 - swap partitions should have type 0x82
: swap partitions should have type 0x82
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-vm)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-03 21:30 by
Modified: 2007-03-26 18:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-03 21:30:07
В Linux принято использовать тип 0x82 для swap-партиций. Не стоит нарушать это 
соглашение, ибо это будет противоречить принципу наименьшего удивления.

Магическое заклинание от RM, предотвращающее закрытие этого бага как INVALID:
----------------------------------------------------------------------
From: "Dmitry V. Levin" <ldv@altlinux.org>
Subject: Re: о юзабилити, first-time юзерах и инженерах
To: Mikhail Gusarov <dottedmag@dottedmag.net>
Cc: Sergey Bolshakov <sbolshakov@altlinux.org>
Date: Sat, 3 Mar 2007 20:37:10 +0300

Hi,

On Sat, Mar 03, 2007 at 11:25:31PM +0600, Mikhail Gusarov wrote:
> Приветствую.
> 
> Вот лог, решай сам:
> 
> 23:14 < dottedmag> lioka: багу загнать про fsim, чтобы не забыл?
> 23:15 < lioka> dottedmag: где бага ?
> 23:15 < dottedmag> lioka: про тип swap-партиции
> 23:15 < lioka> dottedmag: то есть, в чём бага-то ?

swap должен быть 0x82, тут и обсуждать нечего.
Повесьте баг, пожалуйста, чтобы не забыть.
----------------------------------------------------------------------
Steps to Reproduce:
1. Поставьте систему, разбив при этом своп инсталлятором
Actual Results:  
Партиция со свопом имеет тип 0x83

Expected Results:  
Партиция со свопом имеет тип 0x82
------- Comment #1 From 2007-03-03 21:54:47 -------
и еще - если при разбивке диска выбирается тип swap для конкретного раздела, то
выбор файловой системы не предлагать, а сразу ставить тип swapfs.
не имеет смысла давать возможность выбрать фс = другая, кому такое надо -
переделают после установки вручную ;)
------- Comment #2 From 2007-03-07 12:48:18 -------
Возможно, это стоит решать в отдельной (полностью автоматической) стадии
fdisk-fixup при помощи libfdisk или sfdisk вместе с установкой активного
раздела
-- Серж напомнил, что evms не позволяет /менять/ тип разделов, только
/задавать/
при создании -- а "грохнуть и создать" чревато съездом нумерации для тех, что в
extended.  Если втискивать в vm, то получается после коммита делать тут же
fixup
и перечитывать состояние.

2 legion: или активирование раздела у нас всё равно "загрузочная", а не
"разбивочная", болячка (BIOS)?
------- Comment #3 From 2007-03-07 13:26:31 -------
для вновь создаваемых разделов это уже реализовано.
------- Comment #4 From 2007-03-07 14:00:13 -------
(In reply to comment #2)
> 2 legion: или активирование раздела у нас всё равно "загрузочная", а не
> "разбивочная", болячка (BIOS)?

Сейчас в /vm убран выбор активного раздела. Эта функциональность реализована в
/bootloader. Там следующая логика: если ставимся на mbr и нет активного раздела
на этом диске, то акстивным будет первый раздел на диске; если ставимся в
раздел, то он и назначается активным.
------- Comment #5 From 2007-03-09 20:28:01 -------
с учётом комментария #1,
fixed in 0.3-alt7
------- Comment #6 From 2007-03-17 12:22:10 -------
Поставил server-i586-20070315.iso сказал "разбить для workstation". После 
перезагрузки все партиции имеют тип 0x83

-> REOPEN.
------- Comment #7 From 2007-03-26 13:42:39 -------
fixed in 0.3-alt8
------- Comment #8 From 2007-03-26 17:07:20 -------
В какую сборку инсталлера войдёт этот alterator-vm?
------- Comment #9 From 2007-03-26 17:44:53 -------
провидческими способностями не обладаю
------- Comment #10 From 2007-03-26 18:05:18 -------
А что, хоть какого-то releng-процесса не ведётся?